> For the complete documentation index, see [llms.txt](https://docs.lhv.com/home/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.lhv.com/home/connect/services/webhooks/webhook-services/get-list-of-webhook-messages.md).

# Get list of webhook messages

## Service Description

This service provides access to previously sent webhook messages. It returns a list of webhook responses with optional filtering by type, status and date. Each entry includes summary data and delivery status, excluding full-body content and metadata.

## Request

`GET` <https://connect.lhv.com/notifications/history>

### **Parameters**

All parameters are optional.

<table><thead><tr><th>Name</th><th width="204.671875">Value</th><th>Description</th></tr></thead><tbody><tr><td>offset</td><td><code>integer</code></td><td>The index from which to begin retrieving record. Default is <code>0</code>.</td></tr><tr><td>limit</td><td><code>integer</code></td><td>The number of records per response. Default is <code>100</code>.</td></tr><tr><td>eventId</td><td><code>string</code></td><td>UUID of the webhook message.</td></tr><tr><td>status</td><td><code>integer</code></td><td>Webhook message status (<code>SUCCESS</code>, <code>FAILED</code>, <code>RETRY_PENDING</code> ).</td></tr><tr><td>startDate</td><td><code>string</code></td><td><code>YYYY-MM-DD</code> Filter messages created on or after this date.</td></tr><tr><td>endDate</td><td><code>string</code></td><td><code>YYYY-MM-DD</code> Filter messages created on or before this date.</td></tr><tr><td>serviceProvider</td><td>true / false or 1/0</td><td><p>Can be used when the Service Provider’s own value is set in <code>Client-Code</code>.</p><p>Values: 1/true (filter on) or 0/false (filter off).</p><p>When enabled, only messages belonging to the Service Provider are returned. By default, if <code>Client-Code</code> refers to the Service Provider, messages from all related customers are included.</p><p>This header has no effect if <code>Client-Code</code> does not belong to a Service Provider.</p></td></tr><tr><td>responseType</td><td><code>string</code></td><td>Filters results by specific webhook message type. Accepts any valid response type value (e.g., <code>ACCOUNT_STATEMENT</code>, <code>CREDIT_DEBIT_NOTIFICATION</code>, <code>PAYMENT</code>).</td></tr></tbody></table>

### **Headers**

| Name           | Value            | Description                                                                                                                                                                                                                                                                                                                                                                 |
| -------------- | ---------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Client-Code    | `customer value` | <p>Available to Service Providers only. Specifies the company registration code of either the Service Provider or its customer.</p><p>When the Service Provider’s own code is used, messages for related customers are included by default.</p><p>To return only the Service Provider’s own messages, set the <code>serviceProvider</code> filter to <code>true</code>.</p> |
| Client-Country | `customer value` | Available to Service Providers only. Must correspond to the country associated with the specified `Client-Code`.                                                                                                                                                                                                                                                            |

## Response

### Header

| Name         | Value              | Description                 |
| ------------ | ------------------ | --------------------------- |
| Content-Type | `application/json` | Format of the message body. |
| X-Bank-Code  | `LHVUK`, `LHVEE`   | LHV Bank entity.            |

### Body

{% tabs %}
{% tab title="200 - list of webhook messages" %}
{% hint style="success" %}
OK
{% endhint %}

```json
[
    {
        "message": {
            "eventId": "1b889bc6-b719-4b7d-aa81-2afa7925363f",
            "eventTimestamp": "2025-09-05T05:01:03.253614+01:00",
            "subscriptionReference": "2e11f643-61d7-470a-b63c-c9e5bc7bc296",
            "messageResponseId": "RES4ca2fed81ebd49d39fc8ab7e537f6cff",
            "messageRequestId": "REQ5104072b7d95482197422b205409b4de",
            "messageType": "ACCOUNT_STATEMENT",
            "messageCreatedTime": "2025-09-05T05:01:03.253614+01:00",
            "regCode": "12340001",
            "regCodeIssuer": "GB",
            "bankCode": "LHVUK"
        },
        "status": "SUCCESS",
        "retriesAttempted": 0,
        "httpStatus": 200,
        "responseContentLength": 23,
        "latencyMs": 56
    },
    {
        "message": {
            "eventId": "2e354713-e68a-4613-aca1-2d5153602615",
            "eventTimestamp": "2025-09-05T05:01:02.566724+01:00",
            "subscriptionReference": "3b11f643-61d7-470a-b63c-c9e5bc7bc296",
            "messageResponseId": "RES04d0b464100140eba617e8c6ce29a065",
            "messageRequestId": "REQfd5ddff91bb3431a862cba3c6ba5bec9",
            "messageType": "ACCOUNT_BALANCE",
            "messageCreatedTime": "2025-09-05T05:01:02.566724+01:00",
            "regCode": "12340001",
            "regCodeIssuer": "GB",
            "bankCode": "LHVUK"
        },
        "status": "SUCCESS",
        "retriesAttempted": 0,
        "httpStatus": 200,
        "responseContentLength": 23,
        "latencyMs": 49
    }
]
```

{% endtab %}

{% tab title="403 - error" %}
{% hint style="danger" %}
Error code and description
{% endhint %}

```json
<Errors>
    <Error>
        <ErrorCode>FORBIDDEN</ErrorCode>
        <Description>User doesn't exist</Description>
    </Error>
</Errors>
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.lhv.com/home/connect/services/webhooks/webhook-services/get-list-of-webhook-messages.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
